[Epic](https://gitlab.com/groups/gitlab-org/-/epics/8434)

<!-- Title: [WIP] Navigation update - Mon DD, 2022 -->

## Mon DD, 2022

### Overview

...

### Themes and Direction

- ...
- ...
- ...

### Design

- ...
- ...
- ...


### Data

- ...
- ...
- ...

### Engineering

- ...
- ...
- ...


/label ~"section::dev" ~"devops::manage" ~"group::foundations" ~"type::ignore"
/epic https://gitlab.com/groups/gitlab-org/-/epics/8434
/assign @cdybenko @tauriedavis @chrismicek @samdbeckham
